%global dlrn_nvr os-apply-config-13.1.0-1.20220727102349.474068e
%global dlrn 1
%define upstream_version 13.1.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		os-apply-config
Version: 13.1.0
Release: 1.20220727102349.474068e%{?dist}
Summary:	Configure files from cloud metadata

License:	ASL 2.0
URL:		http://pypi.python.org/pypi/%{name}
Source0: os-apply-config-13.1.0-1.20220727102349.474068e.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=474068e4871e1eaa373ef9718661685ce9b59e67

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:	noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr

Requires:   python3-pbr
Requires:   python3-six >= 1.10.0

Requires:   python3-anyjson
Requires:   python3-pystache
Requires:   python3-PyYAML

%description
Tool to apply openstack heat metadata to files on the system.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{name}-%{upstream_version}

# Remove unnecessary shebang
sed -i '1{/^#!/d}' os_apply_config/tests/templates/etc/glance/script.conf
chmod -x os_apply_config/tests/templates/etc/glance/script.conf

%build
%{py3_build}

%install
%{py3_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/templates

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-apply-config
%{_bindir}/os-config-applier
%{_libexecdir}/%{name}/templates
%{python3_sitelib}/os_apply_config*

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-1.20220727102349.474068e
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.0-0.20220712082605.474068e
- Update patches

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210929001830.474068e
- Update patches
- Drop six
- Drop anyjson

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210912011915.c1e364a
- Update patches
- setup.cfg: Replace dashes with underscores

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.2-0.20210714222719.c1165f2
- Update patches
- Use py3 as the default runtime for tox

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 13.0.1-0.20210528004353.891e996
- Update patches

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove tripleo-multinode-container-minimal from zuul layout

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Clean up CI

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pyflakes and fixup sphinx

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python 2.7 support and testing

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Blacklist sphinx 2.1.0 (autodoc bug)


